name='upscayl-bin'
version='2.10.0'
release='1'
desc='Free and Open Source AI Image Upscaler'
homepage='https://github.com/upscayl/upscayl'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('AGPL3')
provides=('upscayl')
conflicts=('upscayl')
deps=('fuse2' 'nss' 'zlib')
build_deps=('util-linux')

sources=("https://github.com/upscayl/upscayl/releases/download/v${version}/upscayl-${version}-linux.AppImage?~name=upscayl-${version}-linux.AppImage")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
    [[ -d squashfs-root ]] && rm -rf squashfs-root
    chmod 755 upscayl-${version}-linux.AppImage
    ./upscayl-${version}-linux.AppImage --appimage-extract
    sed -i 's|^Exec=.*|Exec=upscayl|' squashfs-root/upscayl.desktop
}

package() {
    install -Dm644 squashfs-root/usr/share/icons/hicolor/0x0/apps/upscayl.png "${pkgdir}/usr/share/pixmaps/upscayl.png"
    install -Dm644 squashfs-root/upscayl.desktop "${pkgdir}/usr/share/applications/upscayl.desktop"
    mkdir "${pkgdir}/usr/bin"
    install -Dm755 upscayl-${version}-linux.AppImage "${pkgdir}/usr/bin/$_upscayl"
}
